Bug Hunting Session
Bug 98990 - Defining a named range for complete column or row results in broken expression (Formula syntax = ExcelR1C1)
Summary: Defining a named range for complete column or row results in broken expressio...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-30 17:30 UTC by Bradley Sepos
Modified: 2016-10-25 19:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
named-expression-bugs.ods (41.06 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-30 17:30 UTC, Bradley Sepos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley Sepos 2016-03-30 17:30:42 UTC
Created attachment 123963 [details]
named-expression-bugs.ods

In the attached Calc spreadsheet, I can no longer define a name for a row or column.

Steps to reproduce (tested LO 5.1.1.3 on OS X 10.10.5 Yosemite):

1. Select row 53 in its entirety by clicking its row number. In the Name Box, attempt to define a new name by typing "NonTaxableIncome". The name will be defined improperly as budget!r53 instead of Budget!R53 and will not function. Modifying the definition to Budget!R53:R53 works (per https://bugs.documentfoundation.org/show_bug.cgi?id=98970#c2).

2. Attempt to define a column name similarly. Same issue.

Other issues with the document are likely related to fdo#93894/fdo#98970
Comment 1 raal 2016-03-31 12:11:32 UTC
It's excel syntax. Tools > options > Calc > Formula > Formula syntax = ExcelR1C1

I can confirm with Version: 5.2.0.0.alpha0+; win7

select row53 > menu Insert > Name expression > Define  create range Budget!R53
This name doesn't work, when I change range to Budget!R53>R53 then name works.



Formula syntax =excel A1 : Budget!$53:$53 -> correct
Comment 2 Commit Notification 2016-04-05 17:10:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c36ba50f65d663f35264f2a11c99c0ff98674a2

Resolves: tdf#98990 accept R1C1 notation entire column/row references

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2016-04-05 17:35:34 UTC
Pending review
https://gerrit.libreoffice.org/23842 for 5-1
https://gerrit.libreoffice.org/23843 for 5-0
Comment 4 Commit Notification 2016-04-12 14:07:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4c6fc2c2641d2020cce626877749a22ca10be4b&h=libreoffice-5-1

Resolves: tdf#98990 accept R1C1 notation entire column/row references

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-12 14:08:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ba918f014f177718664cbd379c6386a7a258c59&h=libreoffice-5-0

Resolves: tdf#98990 accept R1C1 notation entire column/row references

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Bradley Sepos 2016-04-13 06:52:07 UTC
Tested the Mac OS X daily build for 2016-04-12. Still failing in Excel R1C1 mode.
Comment 7 raal 2016-04-13 07:04:18 UTC
(In reply to Bradley Sepos from comment #6)
> Tested the Mac OS X daily build for 2016-04-12. Still failing in Excel R1C1
> mode.

Hello, The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours.
You tested the build from the day when commit was released .. Please try build from 15.4. Thanks
Comment 8 Bradley Sepos 2016-04-13 07:18:54 UTC
Apologies, I should have double-checked the hash dates. Will test the next build as requested.
Comment 9 Bradley Sepos 2016-04-20 19:11:20 UTC
Appears fixed in the latest 5.1.3 daily builds. Thanks all.
Comment 10 Commit Notification 2016-05-01 09:48:22 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8465e99a27168a2c0a62e84b819e9e133f47ddf8

add test for tdf#98990

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.